import { config, networkUtils } from '../../utils';

const { request } = networkUtils;
const { api } = config;
const { reports } = api;
const { base } = reports;

export async function itemprice(params) {
  return request({
    url: `${base}/itemprice`,
    method: 'get',
    data: params,
  });
}

export async function priceAnalyse(params) {
  return request({
    url: `${base}/priceanalyse`,
    method: 'get',
    data: params,
  });
}

export async function recpStatistics(params) {
  return request({
    url: `${base}/recpstatistics`,
    method: 'get',
    data: params,
  });
}

export async function accreceivable(params) {
  return request({
    url: `${base}/accreceivable`,
    method: 'get',
    data: params,
  });
}

export async function supplist(params) {
  return request({
    url: `${base}/supplist`,
    method: 'get',
    data: params,
  });
}
